html {
  min-height: 0;
}

.key, .form-field, .custom-select, label.custom-checkbox,
label.custom-radio {
  position: relative;
}

.form-field input[type=text] ~ label,
.form-field textarea ~ label, .form-field.required:before, .custom-select-options, label.custom-checkbox input,
label.custom-radio input, label.custom-checkbox .checkmark, label.custom-checkbox .checkmark:after, label.custom-radio .radiomark, label.custom-radio .radiomark:after {
  position: absolute;
}

label.custom-checkbox .checkmark, label.custom-radio .radiomark {
  top: 0;
  left: 0;
}

.key:before, .form-field.half, .custom-select {
  display: inline-block;
  zoom: 1;
}

.form-field, .submit-wrapper, .form-field label.error, .custom-select-options.active, .custom-select-choose.searchable-select.active input[type=text].select-search, label.custom-checkbox,
label.custom-radio, form textarea,
form input[type=text],
form input[type=password], .custom-select-choose {
  display: block;
}

.custom-select-options, form textarea,
form input[type=text],
form input[type=password], .custom-select-choose, form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  box-sizing: border-box;
}

.basic-form .hidden, .form-field label.error, .submit-wrapper .loader, .submit-wrapper .results, .custom-select-options, .form-field input[type=text].select-search {
  display: none;
}

label.custom-checkbox,
label.custom-radio, label.custom-checkbox input,
label.custom-radio input, form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  cursor: pointer;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  text-align: center;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  text-transform: uppercase;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  display: inline-flex;
}

.custom-button-radio-group {
  display: flex;
  flex-wrap: wrap;
}

.custom-button-radio-group {
  justify-content: space-between;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  align-items: center;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active, label.custom-checkbox .checkmark, label.custom-radio .radiomark {
  transition-duration: 300ms;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active, label.custom-checkbox .checkmark, label.custom-radio .radiomark {
  transition-timing-function: ease-in-out;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active, label.custom-checkbox .checkmark, label.custom-radio .radiomark, .form-field label, .custom-select-options, .custom-select-options li {
  transition-behaviour: allow-discrete;
}

label.custom-checkbox .checkmark, label.custom-radio .radiomark {
  transition-property: all;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  transition-property: color;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  transition-property: background-color;
}

.form-field label, .custom-select-options, .custom-select-options li {
  transition: all 100ms ease-in-out;
}

.custom-button-radio.active, .submit-wrapper .submit-button, .custom-button-radio, form input[type=submit] {
  font-family: "Helvetica Neue", "Neue Helvetica", "Helvetica", sans-serif;
}

.custom-button-radio.active, .submit-wrapper .submit-button, .custom-button-radio, form input[type=submit] {
  gap: 0.5em;
  padding: 1.2em 2.5em 1em;
  border: 2px solid transparent;
  font-weight: bold;
}

form input[type=submit] {
  color: #111111;
  background-color: #c6e000;
  border-color: #c6e000;
}
form input[type=submit]:hover {
  background-color: rgb(158.4, 179.2, 0);
  border-color: rgb(158.4, 179.2, 0);
}

.submit-wrapper .submit-button, .custom-button-radio {
  color: #fff;
  background-color: #e21b70;
  border-color: #e21b70;
}
.submit-wrapper .submit-button:hover, .custom-button-radio:hover {
  background-color: rgb(180.8, 21.6, 89.6);
  border-color: rgb(180.8, 21.6, 89.6);
}

.custom-button-radio.active {
  color: #fff;
  background-color: transparent;
  border-color: #fff;
}
.custom-button-radio.active:hover {
  background-color: #fff;
  color: #e21b70;
}

form textarea,
form input[type=text],
form input[type=password], .custom-select-choose {
  padding: 16px 15px 13px 2em;
  margin-bottom: 1em;
  border: none;
  outline: none;
  background-color: #666666;
  border-radius: 0;
  color: black;
  font-size: 0.9em;
  font-weight: normal;
}
form textarea:hover,
form input[type=text]:hover,
form input[type=password]:hover, .custom-select-choose:hover {
  background-color: #eeeeee;
}
form textarea:focus,
form input[type=text]:focus,
form input[type=password]:focus, .custom-select-choose:focus {
  background-color: #f8f8f8;
}

.form-field label {
  left: 0px;
  color: #fff;
  font-weight: bold;
}

.key:before, .form-field.required:before {
  content: "";
  width: 8px;
  height: 8px;
  background-color: #222222;
  border-radius: 50%;
  margin-right: 1em;
}

.form-field label.error, form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  border-radius: 5px;
}

.submit-wrapper p, .submit-wrapper h2 {
  font-size: clamp(2.4rem, 2.4rem + 0.6 * (100vw - 450px) / 1470, 3rem);
}

.form-field label, .form-field input[type=text].select-search {
  font-size: clamp(1.2rem, 1.2rem + 0.6 * (100vw - 450px) / 1470, 1.8rem);
}

label.custom-checkbox,
label.custom-radio, .key, form textarea,
form input[type=text],
form input[type=password], .custom-select-choose, .form-field label {
  font-size: 1rem;
}

form input[type=submit], .submit-wrapper .submit-button, .custom-button-radio, .custom-button-radio.active {
  font-size: clamp(0.8rem, 0.8rem + 0.1 * (100vw - 450px) / 1470, 0.9rem);
}

.submit-wrapper h2 {
  margin-bottom: 0.5em;
  line-height: 1.25em;
}

.submit-wrapper h2 {
  font-weight: bold;
}

.key, .form-field label, .form-field input[type=text].select-search, .submit-wrapper p {
  font-weight: normal;
  line-height: 1.6em;
}

.key, .form-field label, .form-field input[type=text].select-search, .submit-wrapper p {
  margin-bottom: 1.5em;
}

.key:before {
  left: 0;
  top: 0.5em;
}

.g-recaptcha {
  margin-bottom: 1.5em;
}

.basic-form {
  width: 100%;
  padding: 1.5em 0;
}
.basic-form input[type=text] {
  width: 100%;
}
.basic-form textarea {
  width: 100%;
  height: 170px;
}
.form-field {
  margin-bottom: 2em;
}
.form-field:hover label {
  color: #888;
}
.form-field input[type=text] ~ label:not(.error),
.form-field textarea ~ label:not(.error) {
  top: 0.5em;
  left: 1em;
}
.form-field .has-text ~ label:not(.error) {
  top: -0.5em !important;
  color: #666;
  transform: scale(0.75);
}
.form-field label.error {
  bottom: 40%;
  left: 0px;
  padding: 2px 10px;
  color: #dddddd;
  font-size: 0.9em;
  text-align: left;
  animation: fade-in 0.3s 1 cubic-bezier(0.34, 1.1, 0.48, 1.04);
  -webkit-animation: fade-in 0.3s 1 cubic-bezier(0.34, 1.1, 0.48, 1.04);
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-field.half {
  margin-right: 0;
}
.form-field.required:before {
  display: block;
  left: 0;
  top: 1em;
}
.form-field.required p,
.form-field.required textarea,
.form-field.required input[type=text] {
  padding-left: 1em;
}
.form-field p {
  padding-top: 0.5em;
}

.submit-wrapper .loader {
  margin-right: 1.5em;
  width: 35px;
}
.submit-wrapper .submit-button {
  width: 40%;
}
.submit-wrapper input[type=submit]:disabled {
  background-color: #666;
  opacity: 0.5;
}
.submit-wrapper .results {
  margin-top: 3em;
  padding: 1.5em;
  background-color: #41a69c;
  color: #FFF;
}
.submit-wrapper p {
  margin-bottom: 0 !important;
}
.submit-wrapper p.warning {
  color: #dddddd;
}

@media screen and (max-width: 1366px) {
  .submit-wrapper .submit-button {
    width: 60%;
  }
}
.custom-button-radio {
  width: 24%;
}
.custom-button-radio.active {
  border: solid 1px #666666;
}
.custom-button-radio.active:hover {
  background-color: #FFF;
  color: #dddddd;
}

@media screen and (max-width: 414px) {
  .custom-button-radio {
    font-size: 0.8em;
  }
  .custom-button-radio.active {
    font-size: 0.8em;
  }
}
.custom-select {
  width: 100%;
}
.custom-select :nth-of-type(1) {
  z-index: 999;
}
.custom-select :nth-of-type(2) {
  z-index: 998;
}
.custom-select :nth-of-type(3) {
  z-index: 997;
}
.custom-select :nth-of-type(4) {
  z-index: 996;
}
.custom-select :nth-of-type(5) {
  z-index: 995;
}

.custom-select-choose {
  min-width: 200px;
  border: solid 1px #666666;
  background: url("/app/images/global/chevron.png") no-repeat right 0 center;
  background-size: 60px;
}
.custom-select-choose:hover {
  color: #888;
  border-color: #666666;
}

.custom-select-options {
  width: 100%;
  background-color: #fff;
  border: solid 1px #666666;
  border-top: none;
  max-height: 320px;
  overflow: auto;
}
.custom-select-options li {
  padding: 15px;
}
.custom-select-options li:hover {
  color: #fff;
  background-color: #dddddd;
}
.custom-select-options .disabled-option {
  opacity: 0.7;
  background: none !important;
}
.custom-select-choose, .custom-select-options p {
  margin-bottom: 0;
  cursor: pointer;
}

@media screen and (max-width: 1100px) {
  .custom-select-options li {
    padding: 10px;
  }
}
@media screen and (min-width: 415px) and (max-width: 1100px) {
  .custom-select-choose,
  .custom-select-options {
    font-size: 0.9em;
  }
}
@media screen and (max-width: 414px) {
  .custom-select-choose,
  .custom-select-options {
    font-size: 0.85em;
  }
}
.form-field input[type=text].select-search {
  font-size: 1em;
  line-height: inherit;
  width: 90%;
  padding: 0;
  margin: 0;
  border: none;
}

.custom-select-choose.searchable-select.active .custom-select-current {
  display: none;
}
label.custom-checkbox,
label.custom-radio {
  padding-left: 34px;
  margin-bottom: 0.6em;
  line-height: 22px;
  user-select: none;
  color: #222222;
}
label.custom-checkbox input,
label.custom-radio input {
  top: 0;
  left: 0;
  width: 22px;
  height: 22px;
  margin: 0;
  opacity: 0;
}
label.custom-checkbox:hover .checkmark, label.custom-checkbox:hover .radiomark,
label.custom-radio:hover .checkmark,
label.custom-radio:hover .radiomark {
  border-color: #666666;
}

label.custom-checkbox .checkmark {
  width: 22px;
  height: 22px;
  background: #fff;
  border: 2px solid #dddddd;
  border-radius: 4px;
}
label.custom-checkbox .checkmark:after {
  content: "";
  display: none;
  left: 6px;
  top: 2px;
  width: 6px;
  height: 11px;
  border: solid #fff;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}
label.custom-checkbox input:checked ~ .checkmark {
  background: #222222;
  border-color: #222222;
}
label.custom-checkbox input:checked ~ .checkmark:after {
  display: block;
}

label.custom-radio .radiomark {
  width: 22px;
  height: 22px;
  background: #fff;
  border: 2px solid #dddddd;
  border-radius: 50%;
}
label.custom-radio .radiomark:after {
  content: "";
  display: none;
  left: 5px;
  top: 5px;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: #fff;
}
label.custom-radio input:checked ~ .radiomark {
  background: #222222;
  border-color: #222222;
}
label.custom-radio input:checked ~ .radiomark:after {
  display: block;
}

@-webkit-keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
    visibility: visible;
  }
}
@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
    visibility: visible;
  }
}
@-webkit-keyframes dropdown {
  from {
    transform: rotateX(-25deg) scaleY(0.8);
    opacity: 0.2;
  }
  to {
    transform: rotateX(0) scaleY(1);
    opacity: 1;
  }
}
@keyframes dropdown {
  from {
    transform: rotateX(-25deg) scaleY(0.8);
    opacity: 0.2;
  }
  to {
    transform: rotateX(0) scaleY(1);
    opacity: 1;
  }
}
